# $Revision: 1.12.2.5 $, $Date: 2003/09/11 23:37:12 $
Summary:	UdmSearch - search engine over intranet/small internet domain
Summary(pl):	UdmSearch - mechanizm przeszukiwania intranetu lub maej domeny internetowej
Name:		udmsearch
Version:	3.1.7
Release:	2
License:	GPL
Group:		Applications/Networking
Group(pl):	Aplikacje/Sieciowe
Source0:	ftp://ftp.izhcom.ru/pub/unix/UdmSearch/%{name}-%{version}.tar.gz
# Source0-md5:	4b8a2b67b410574876d7640c7a176403
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-mysql4.patch
URL:		http://search.udm.net/about/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	mysql-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_localstatedir	/var/lib/udmsearch 
%define		_bindir		/home/httpd/cgi-bin
%define		_sysconfdir	/etc/udmsearch
 
%description
UdmSearch is a MySQL based search engine over the web. UdmSearch
consists of two parts. The first part is indexing mechanism (indexer).
Indexer walks over html hypertext references and stores found words
and new references into mysql database. The second part is cgi program
(search.cgi or search.php3 if you prefer php) to find words using data
created by indexer. Main features are:
 - HTTP support
 - HTTP proxy support
 - FTP via proxy support
 - text/html with <a href="">, <area href=""> and <frame src=""> and
   text/plain support
 - it can search for all of the word forms using ispell affixes and
   dictionaries
 - basic authorization support. One could easy index password protected
   intranet HTTP servers
 - it's reenterant. One could use several indexing processes at the
   same time even on the same database
 - stop-list support
 - <META NAME="robots" content="..."> and robots.txt support
 - both C cgi and PHP3 frontends included
 - boolean query language support
 - best documents are found first
 - external parsers support
 - it's very fast (thanks Monty for greatest database)
 - different character sets support

%description -l pl
UdmSearch to mechanizm przeszukujcy sie bazujcy na MySQL. Skada
si z dwch czci. Pierwsza to mechanizm indeksujcy (indexer).
Chodzi on po odnonikach w html i zapisuje znalezione sow i nowe
odnoniki do bazy MySQL. Druga cz to program cgi (search.cgi lub
search.php3 w zalenoci od preferencji), szukajcy sw przy uyciu
danych stworzonych przez indexera. Podstawowe moliwoci to:
 - obsuga HTTP
 - obsuga HTTP proxy
 - obsuga FTP przez proxy
 - obsuga text/html z <a href="">, <are href="">, <frame src=""> oraz
   text/plain
 - wyszukiwanie sowa we wszystkich formach z uyciem przyrostkw i
   sownikw ispella
 - podstawowa obsuga autoryzacji - pozwalajca atwo indeksowa
   intranetowe serwery HTTP zabezpieczone hasem
 - wielowtkowo - mona uywa wielu procesw indeksujcych
   jednoczenie, take na tej samej bazie
 - obsuga stop-list
 - obsuga <META NAME="robots" content="..."> oraz robots.txt
 - doczone frontendy CGI (w C) i PHP3
 - obsuga jzyka zapyta logicznych
 - pokazywanie najlepszych dokumentw jako pierwszych
 - obsuga zewntrznych parserw
 - dua szybko
 - obsuga rnych zestaww znakw.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
rm -f missing
%{__automake}
%configure \
	--with-mysql
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/home/httpd/html/udmsearch

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_sysconfdir}/indexer.conf-dist \
	$RPM_BUILD_ROOT%{_sysconfdir}/indexer.conf
mv -f $RPM_BUILD_ROOT%{_sysconfdir}/search.htm-dist \
	$RPM_BUILD_ROOT/home/httpd/html/udmsearch/index.html

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO doc/*.txt doc/*.html doc/samples/*{conf,htm} create/
%{_sysconfdir}/indexer.conf
%attr(755,root,root) %{_sbindir}/*
%attr(755,root,root) %{_bindir}/search.cgi
/home/httpd/html/udmsearch
%{_mandir}/man1/*
%{_mandir}/man5/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: udmsearch.spec,v $
Revision 1.12.2.5  2003/09/11 23:37:12  ankry
- added -mysql4 patch to use Mysql 4.0

Revision 1.12.2.4  2003/09/10 13:13:53  ankry
- fixed bogus changelog

Revision 1.12.2.3  2003/09/10 13:12:02  ankry
- merge from HEAD: md5, new %%doc, using macros, pl translations
- rel. 2 to rebuild with new mysql

Revision 1.12.2.1  2003/07/11 12:04:28  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.12  2001/05/29 10:09:29  kloczek
- updated to 3.1.7,
- added DESTDIR patch.

Revision 1.11  2000/08/24 06:14:17  yaro
- upgrade to 3.0.21
- small fixes

Revision 1.10  2000/06/09 07:55:12  kloczek
- more %%{__make} macros.

Revision 1.9  2000/06/09 07:24:01  kloczek
- added using %%{__make} macro.

Revision 1.8  2000/05/19 02:43:29  kloczek
- updated to 3.0.15,
- spec adapterized.

Revision 1.7  2000/05/17 08:12:43  yaro
- fixed default configuration file

Revision 1.6  2000/05/05 02:00:38  kloczek
- updated to 3.0.14,
- %description reformated,
- updated %dos files list,
- Group changed to Applications/Networking.

Revision 1.5  2000/04/25 16:16:48  baggins
- release++
- FHS 2.1, /var/state -> /var/lib

Revision 1.4  2000/04/11 09:05:03  wiget
- cleanups
- more rpm macros
- using DESTDIR install

Revision 1.3  2000/04/01 11:15:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.1  2000/03/14 13:27:39  yaro
- initial PLD release
